package com.sample.test.action;

import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @struts.action name = "SampleForm" path = "/Sample" validate = "false"
 * @struts.action-forward name = "success" path = "result"
 * @spring.bean name = "/Sample"
 */
public class SampleTestAction extends Action {

	protected static Log log = LogFactory.getLog(SampleTestAction.class);
	
	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {

		long duration = System.currentTimeMillis();
		
		Map params = request.getParameterMap();
		
		duration = System.currentTimeMillis() - duration;
		
		log.fatal("request.getParameterMap() taken " + duration + " msec.");

		return mapping.findForward("success");
	}

}
